discuss-gnustep
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

GNUStep/ WindowMaker hinders menu pulldown capability


From: Newhouse, Richard A
Subject: GNUStep/ WindowMaker hinders menu pulldown capability
Date: Thu, 08 Oct 2009 13:03:23 -0600

Problem:

     When “ssh –X” to another Workstation running with gnome, GNUstep, and WindowMaker environment, the pull down menus do not get displayed with the NightView program.  If I remove GNUstep/WindowMaker the NightView pulldowns are displayed.  Both workstations are running gnome, GNUstep, and WindowMaker.

 

Environment:  

I have 2 Sun workstations running the LINUX operating system.   One of the stations (nagoya) has a program called NightView (Concurrent debug utility) installed on it.  When I bring NightView up on this station everything works correctly.  When I “ssh –X” from another workstation (asahi) and bring up NightView, the pull down menus do not get displayed when the NightView application is brought up.  I’ve ran “xhost +” on each workstation.  I do get a Warning when I use “ssh”.  It is as follows:

 

OUTPUT FROM ssh –X  COMMAND ON asahi to nagoya:

asahi{staff}44: ssh -X address@hidden

Password:

Warning: No xauth data; using fake authentication data for X11 forwarding.

Last login: Wed Sep 16 14:51:00 2009 from 192.168.100.30

Wed Sep 16 15:00:17 CDT 2009

TOP OF LOGIN DISPLAY =  localhost:10.0
access control disabled, clients can connect from any host

Starting GNUstep services ...

Xlib: connection to "nagoya:0.0" refused by server

Xlib: No protocol specified

 

On asahi I tried some other X apps after I “ssh –x” to nagoya.  For example,  /usr/X11R6/bin/bitmap,  menu pulldowns displayed.

Listed Below are the outputs for “uname –a” on each station:

 

nagoya:

 

Linux nagoya 2.6.16.27-0.6-SLERT-10-13-trace #1 SMP PREEMPT Fri Jan 19 20:32:13 EST 2007 x86_64 x86_64 x86_64 GNU/Linux

 

asahi:

 

Linux asahi 2.6.16.60-0.21-smp #1 SMP Tue May 6 12:41:02 UTC 2008 x86_64 x86_64 x86_64 GNU/Linux

 

The gnu versions are as follows:

gnu/Version:

 

# The gcc version required to compile the library.

GNUSTEP_GUI_GCC=2.9.5

 

# Versions for libraries that gnustep-gui is dependent upon

GNUSTEP_GUI_BASE=1.11.0

GNUSTEP_GUI_LIBTIFF=3.4

 

# The version number of this release.

GNUSTEP_GUI_MAJOR_VERSION=0

GNUSTEP_GUI_MINOR_VERSION=10

GNUSTEP_GUI_SUBMINOR_VERSION=3

# numeric value should match above

VERSION_NUMBER=010.3

----------------------------------------------------------

core/back Version = 010.3

----------------------------------------------------------

core/base Version = 112.0

----------------------------------------------------------

core/make Version =

GNUSTEP_MAKE_MAJOR_VERSION=1

GNUSTEP_MAKE_MINOR_VERSION=12

----------------------------------------------------------

WindowMaker Version = 0.920


reply via email to

[Prev in Thread] Current Thread [Next in Thread]